For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
          • Tax Classes
              • GETList Tax Customers
              • PUTUpdate Tax Customers
              • DELDelete Tax Customers
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementTaxTax Customers

Update Tax Customers

PUT
https://api.bigcommerce.com/stores/:store_hash/v3/tax/customers
PUT
/stores/:store_hash/v3/tax/customers
$curl -X PUT https://api.bigcommerce.com/stores/store_hash/v3/tax/customers \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '[
> {
> "customer_id": 157,
> "tax_properties": {
> "A-123456789": "26",
> "B-6731789": "200"
> }
> }
>]'
1{
2 "data": [
3 {
4 "customer_id": 157,
5 "tax_properties": {
6 "A-123456789": "26",
7 "B-6731789": "200"
8 }
9 }
10 ],
11 "meta": {}
12}
Update the tax data associated with one or more customers. This operation will be additive to any values already associated with the customer, overwriting any existing values.
Was this page helpful?
Previous

List Tax Customers

Next

Delete Tax Customers

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Request

This endpoint expects a list of objects.
customer_idintegerRequired
A reference to the customer.
tax_propertiesobjectRequired

A simple key-value pairing. The tax property must be defined to associate a value. These values will be sent to the active tax provider during Tax Provider API operations whenever the associated customer is included in the operation.

Response

OK
datalist of objects
metaobject
Response metadata.

Errors

422
Unprocessable Entity Error